For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList jobs
      • POSTCreate a job
      • GETGet a job
      • PATCHUpdate a job
      • DELDelete a job
      • POSTExecute a job
      • GETGet a job's execution plan
      • PUTReplace a job's plan
      • PATCHUpdate a job's plan
      • POSTAcknowledge a job
      • POSTAcknowledge a job outcome
      • POSTComplete a job
      • POSTFail a job
      • POSTCancel a job
      • POSTRetry a failed job
      • POSTPreview a mutation
      • POSTSplit a job
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceJobs

Execute a job

POST
https://api.x.flatfile.com/v1/jobs/:jobId/execute
POST
/v1/jobs/:jobId/execute
$curl -X POST https://api.x.flatfile.com/v1/jobs/us_jb_YOUR_ID/execute \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Example0
1{
2 "data": {
3 "success": true
4 }
5}
Execute a job and return the job
Was this page helpful?
Previous

Get a job's execution plan

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

jobIdstringRequired
ID of job to return

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject